package logic

import (
	"context"

	"juwan-backend/app/wallet/rpc/internal/svc"
	"juwan-backend/app/wallet/rpc/pb"

	"github.com/zeromicro/go-zero/core/logx"
)

type GetWalletTransactionsByIdLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewGetWalletTransactionsByIdLogic(ctx context.Context, svcCtx *svc.ServiceContext) *GetWalletTransactionsByIdLogic {
	return &GetWalletTransactionsByIdLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

func (l *GetWalletTransactionsByIdLogic) GetWalletTransactionsById(in *pb.GetWalletTransactionsByIdReq) (*pb.GetWalletTransactionsByIdResp, error) {
	// todo: add your logic here and delete this line

	return &pb.GetWalletTransactionsByIdResp{}, nil
}
